# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename superagent-proxy

Name:               nodejs-superagent-proxy
Version:            0.3.0
Release:            2%{?dist}
Summary:            Request proxy(uri) superagent extension

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/superagent-proxy
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(debug)
BuildRequires:      npm(superagent)
BuildRequires:      npm(proxy-agent)

Requires:           npm(debug)
Requires:           npm(superagent)
Requires:           npm(proxy-agent)

%if 0%{?enable_tests}
BuildRequires:      npm(superagent)
BuildRequires:      npm(mocha)
%endif


%description
This module extends visionmedia/superagent's Request class with a .proxy(uri)
function. This allows you to proxy the HTTP request through a proxy of some
kind.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep debug '^0.8'

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/superagent-proxy
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/superagent-proxy

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/superagent-proxy/

%changelog
* Sun Sep 21 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.0-2
- fix debug dep

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- Initial packaging for Fedora.
